/* 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is useragent toolbar
 *
 * The Initial Developer of the installation and overaly doce is 
 * David Illsely <illsleydc@bigfoot.com>
 * Portions created by David Illsley are Copyright (C) 2001
 * David Illsley. All Rights Reserved.
 * Combination of gesture code and toolbar done by
 * Andy Edmonds <aedmonds@mindspring.com>
 * 
 * Contributor(s): Jeremy Childs <jeremyc@ssimicro.com>
 * 
 * Alternatively, the contents of this file may be used under the
 * terms of the GNU General Public License Version 2 or later (the
 * "GPL"), in which case the provisions of the GPL are applicable 
 * instead of those above.  If you wish to allow use of your 
 * version of this file only under the terms of the GPL and not to
 * allow others to use your version of this file under the MPL,
 * indicate your decision by deleting the provisions above and
 * replace them with the notice and other provisions required by
 * the GPL.  If you do not delete the provisions above, a recipient
 * may use your version of this file under either the MPL or the
 * GPL.
 */

/* Quick Lookup for Mozilla
 * Contributor(s): 
 * Jeremy Childs <jeremyc@ssimicro.com>
 *
 * 
 */

 
function dictionarylookup() {
	selection = window._content.document.getSelection();
	if (selection.length < 1) {
		alert("Please select a word or phrase first.");
		return;
	}

	window.open("http://www.dictionary.com/cgi-bin/dict.pl?term="+selection,'DICTIONARY');
}

function gotoURL() {
	selection = window._content.document.getSelection();
	if (selection.length < 1) {
		alert("Please select a word or phrase first.");
		return;
	}
	if (selection.indexOf("http:")) {
		window.open("http://"+selection, 'NEWWIN');
	} else {
		window.open(selection, 'NEWWIN');
	} 

}

function googleSearch() {
	selection = window._content.document.getSelection();
	if (selection.length < 1) {
		alert("Please select a word or phrase first.");
		return;
	}
	window.open("http://www.google.com/search?q="+selection,'GOOGLE');
}

function wayBack() {
	window.open("http://web.archive.org/archive_request_ng?collection=web&url="+window._content.location.href,'WAYBACK');
}
